Subject: Re: [Sip] Buggy example in draft-ietf-sipping-reg-event-00

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 09 Dec 2002 17:44:42 -0500

Yes, this is a bug in the example. Thanks for pointing it out.

-Jonathan R.

Peter Päppinghaus wrote:
> Hi,
> 
> I believe to have stumbled on a buggy example in 
> draft-ietf-sipping-reg-event-00.txt.
> 
> Quotation from top of p. 19:
> 
>   "Later on, the user registers (5):
> 
>    REGISTER sip:[email-masked] SIP/2.0
>    Via: SIP/2.0/UDP pc34.bar.com;branch=z9hG4bKnaaff
>    From: sip:[email-masked];tag=99a8s
>    To: sip:[email-masked]
>    Call-ID: [email-masked]
>    CSeq: 9976 REGISTER
>    Contact: sip:[email-masked]"
> 
>    The Request-URI in this example violates RFC 3261, sec. 10.2:
>    "The userinfo and "@" components of the SIP URI MUST NOT be present."
> 
> Regards,
> 
> Peter Paeppinghaus
> 

-- 
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip